Bug 1291330

Summary: [epel7s390x] List of packages not found in RHEL7 channels or EPEL7 FTP sites
Product: [Fedora] Fedora EPEL Reporter: IBM Bug Proxy <bugproxy>
Component: epel-releaseAssignee: Michael Stahnke <mastahnke>
Status: CLOSED INSUFFICIENT_DATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: high    
Version: epel7CC: cdeadmin, dan, dennis, dhorak, djw8605, erlang, extras-orphan, hannsj_uhl, herrold, jkachuck, kevin, mastahnke, s, yselkowi
Target Milestone: ---   
Target Release: ---   
Hardware: s390x   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-04-14 11:02:50 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1267648, 1445922    

Description IBM Bug Proxy 2015-12-14 15:14:34 UTC

Comment 1 IBM Bug Proxy 2015-12-14 15:14:38 UTC
Neither the RHEL7 RHN channels (os, optional, and supplementary) nor the 
EPEL7 FTP site carries the following packages. 
The packages that are restricted from building due to dependencies based on the missing packages are also listed.
            
missing package: erlang-mochiweb		     
dependency for: couchdb

python-flask				     
dep: datagrepper, librepo

npm(strip-json-comments)    
dep: nodejs-rc

python-blinker			     
dep: pagure, python-mongoengine

python-gevent			    
dep: python-execnet, python-x2go

python-flask				    
dep: python-flask-babel, python-flask-mako, python-flask-rstpages, python-flask-sqlalchemy, python-flask-whooshalchemy, python-flask-whooshalchemy, python-flask-xml-rpc, python-fmn-web, python-moksha-hub, python-narcissus-app, python-pygal, datagrepper, librepo, pagure

python-websocket-client 	     
dep: python-moksha-hub

python-restkit		             
dep: python-pyquery

Comment 2 Hanns-Joachim Uhl 2015-12-14 15:29:24 UTC
Hello Dan,
... please review this bugzilla as soon as possible
(which is addressing multiple packages ..)
and please provide your thoughts how to pursue ...
Thanks in advance for your support.

Comment 3 Dan HorĂ¡k 2015-12-14 16:44:39 UTC
I think there are at least 3 options why the packages are not available
- they are (or became) part or RHEL, but not for s390x
- they got orphaned and removed because there was no active maintainer and was part of broken dependency chain
- omissions or other errors

https://admin.fedoraproject.org/pkgdb/ can be used to confirm the "alive state" for a package

http://pkgs.fedoraproject.org/cgit/ lists the git repos for every package in Fedora (and EPEL), the epel7 branch in the package git should contains a reason if package got removed

I have briefly checked few of the packages and for example
- couchdb and erlang-mochiweb are orphaned and thus not available in EPEL-7 any more
- lack of python-restkit looks as a bug

The complete overview will take some time to produce.

Comment 4 IBM Bug Proxy 2016-02-23 17:31:39 UTC
------- Comment From vsandhya@in.ibm.com 2016-02-23 12:19 EDT-------
What are the next steps on this bug?

Comment 6 Kevin Fenzi 2017-02-02 19:45:29 UTC
python-flask is in the 'rhel extras' channel.

Comment 7 IBM Bug Proxy 2020-04-14 07:51:18 UTC
------- Comment From tstaudt@de.ibm.com 2020-04-14 03:49 EDT-------
With no activity in this bug for years, I'm now closing this on the IBM side.
If the problem still needs to be addressed, please re-open or preferably open a new bug.

Thanks.